From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jupyterlab/
Date: Fri, 26 Apr 2024 18:55:13 +0000 (UTC) [thread overview]
Message-ID: <1714157705.5384681702c91de5bd05e3e4cf945dbc72708cd4.mgorny@gentoo> (raw)
commit: 5384681702c91de5bd05e3e4cf945dbc72708cd4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 26 18:32:14 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 26 18:55:05 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53846817
dev-python/jupyterlab: Bump to 4.1.7
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/jupyterlab/Manifest | 1 +
dev-python/jupyterlab/jupyterlab-4.1.7.ebuild | 80 +++++++++++++++++++++++++++
2 files changed, 81 insertions(+)
diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index d01d17ae45a6..9dd0d4984b59 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -1 +1,2 @@
DIST jupyterlab-4.1.6.tar.gz 21773628 BLAKE2B b2855ecc4fa0cc892fab9bb79c19a3cec0ea577c9c490571ad4028e9fe35bca87fc61d0035cc889bee14313475825344e1cea69f34af4a908c5d2a304250d983 SHA512 b895aac68c6df3affb47eaebc243ecf7d778228a5adec8b8a047783e341008ab4beb0fe50b92138f765e7a72acfbe906f63f41aebe1a72544fe3030105d52716
+DIST jupyterlab-4.1.7.tar.gz 21773423 BLAKE2B 6456011cd841b0c61b09ecd647443cd68abc4a48151ddeab6b5834f22fd99616470a70fc68897a8b46cb32873a49c3f950006eff80facd6e109d337be5d95569 SHA512 01c8b1a496c621d387a8b03c8705c1807f9f18d09be30aa3327a9beac1fa97b23df02f518490d984ac022f1265a55104d7db69ca69a79941c526b50946c8d20b
diff --git a/dev-python/jupyterlab/jupyterlab-4.1.7.ebuild b/dev-python/jupyterlab/jupyterlab-4.1.7.ebuild
new file mode 100644
index 000000000000..b655c8c83338
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.1.7.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab/
+ https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/async-lru[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.25.0[${PYTHON_USEDEP}]
+ >=dev-python/ipykernel-6.5.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+ dev-python/jupyter-core[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.27.1[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
+ ' 3.10)
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ net-libs/nodejs
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ >=dev-python/pytest-jupyter-0.5.3[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-cache[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # These tests call npm and want internet
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+ jupyterlab/tests/test_announcements.py
+)
+
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme dev-python/myst-parser
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
next reply other threads:[~2024-04-26 18:55 UTC|newest]
Thread overview: 103+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-26 18:55 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-14 12:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/jupyterlab/ Michał Górny
2024-09-14 12:26 Arthur Zamarin
2024-08-27 7:39 Michał Górny
2024-08-03 8:44 Michał Górny
2024-08-03 8:30 Jakov Smolić
2024-07-19 4:25 Michał Górny
2024-07-13 9:00 Michał Górny
2024-07-13 8:38 Arthur Zamarin
2024-06-29 7:57 Arthur Zamarin
2024-06-27 2:53 Michał Górny
2024-06-10 14:41 Michał Górny
2024-06-08 9:02 Michał Górny
2024-06-08 7:12 Sam James
2024-05-24 4:03 Michał Górny
2024-05-22 9:05 Michał Górny
2024-05-11 8:13 Michał Górny
2024-05-11 7:41 Arthur Zamarin
2024-05-07 1:57 Michał Górny
2024-04-27 3:46 Michał Górny
2024-04-24 17:15 Michał Górny
2024-04-24 15:35 Sam James
2024-04-09 6:01 Michał Górny
2024-03-30 14:34 Michał Górny
2024-03-30 14:31 Michał Górny
2024-03-21 17:45 Arthur Zamarin
2024-03-15 5:06 Michał Górny
2024-03-07 19:48 Michał Górny
2024-03-07 17:09 Michał Górny
2024-03-07 16:15 Michał Górny
2024-03-07 15:39 Michał Górny
2024-03-05 5:18 Michał Górny
2024-02-27 6:38 Michał Górny
2024-02-20 6:13 Michał Górny
2024-02-14 12:36 Michał Górny
2024-02-14 12:26 Michał Górny
2024-02-13 4:27 Michał Górny
2024-02-06 3:07 Michał Górny
2024-02-03 11:44 Michał Górny
2024-02-03 10:52 Sam James
2024-01-31 6:59 Michał Górny
2024-01-19 18:28 Arthur Zamarin
2024-01-13 9:32 Michał Górny
2024-01-13 9:22 Arthur Zamarin
2023-12-30 5:00 Michał Górny
2023-11-25 10:42 Michał Górny
2023-11-25 8:51 Sam James
2023-11-20 17:03 Michał Górny
2023-11-19 7:47 Michał Górny
2023-11-03 7:06 Michał Górny
2023-10-24 17:51 Michał Górny
2023-10-15 16:05 Michał Górny
2023-10-13 15:27 Arthur Zamarin
2023-10-13 14:47 Arthur Zamarin
2023-10-12 4:39 Michał Górny
2023-10-06 17:47 Arthur Zamarin
2023-10-06 17:44 Arthur Zamarin
2023-10-06 14:52 Sam James
2023-09-30 5:34 Michał Górny
2023-09-15 3:36 Michał Górny
2023-09-10 5:27 WANG Xuerui
2023-08-14 17:57 Jakov Smolić
2023-08-14 6:26 Michał Górny
2023-08-13 16:10 Arthur Zamarin
2023-08-13 16:08 Arthur Zamarin
2023-08-05 5:28 Sam James
2023-08-04 2:42 Michał Górny
2023-07-24 11:32 Michał Górny
2023-07-14 5:34 Michał Górny
2023-07-10 7:15 Andrew Ammerlaan
2023-06-09 2:47 Michał Górny
2023-05-20 7:15 Michał Górny
2023-05-19 13:40 Andrew Ammerlaan
2023-04-08 8:47 Arthur Zamarin
2023-04-08 6:08 Michał Górny
2023-04-07 13:38 Michał Górny
2023-03-29 13:52 Andrew Ammerlaan
2023-03-02 5:13 Michał Górny
2023-02-13 13:12 Andrew Ammerlaan
2023-02-07 21:38 Andrew Ammerlaan
2023-01-24 7:04 Michał Górny
2023-01-04 6:31 Arthur Zamarin
2022-12-22 10:24 Andrew Ammerlaan
2022-12-20 19:33 Andrew Ammerlaan
2022-11-14 4:39 Michał Górny
2022-10-27 11:30 Andrew Ammerlaan
2022-10-24 19:10 Arthur Zamarin
2022-10-12 19:22 Sam James
2022-10-05 13:46 Andrew Ammerlaan
2022-09-23 20:06 Arthur Zamarin
2022-08-31 9:45 Andrew Ammerlaan
2022-06-16 8:06 Michał Górny
2022-06-10 14:30 Andrew Ammerlaan
2022-05-02 10:56 Andrew Ammerlaan
2022-05-02 10:56 Andrew Ammerlaan
2022-03-24 8:39 Andrew Ammerlaan
2022-03-18 15:14 Andrew Ammerlaan
2022-02-21 19:02 Andrew Ammerlaan
2021-12-10 18:43 Arthur Zamarin
2021-12-10 17:12 Arthur Zamarin
2021-11-14 8:46 Michał Górny
2021-10-25 13:28 Andrew Ammerlaan
2021-09-09 13:39 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1714157705.5384681702c91de5bd05e3e4cf945dbc72708cd4.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox